# Contributing to Harmony-Py

Thanks for contributing!

## Making Changes

To allow us to incorporate your changes, please use the following process:

1. Fork this repository to your personal account.
2. Create a branch and make your changes.
3. Test the changes locally/in your personal fork.
4. Submit a pull request to open a discussion about your proposed changes.
5. The maintainers will talk with you about it and decide to merge or request additional changes.

## Commits

Our ticketing and CI/CD tools are configured to sync statuses amongst each other. Commits play an important role in this process. Please start all commits with the Harmony ticket number associated with your feature, task, or bug. All commit messages should follow the format "HARMONY-XXXX: [Your commit message here]"

## Disclaimer

The Harmony development team will review all pull requests submitted. Only requests that meet the standard of quality set forth by existing code, following the patterns set forth by existing code, and adhering to existing design patterns will be considered and/or accepted.

For general tips on open source contributions, see [Contributing to Open Source on GitHub](https://guides.github.com/activities/contributing-to-open-source/).